View Issue Details

IDProjectCategoryView StatusLast Update
0023493mantisbtemailpublic2017-10-28 19:08
ReporteryaddranAssigned Tocommunity 
PrioritynormalSeverityfeatureReproducibilityhave not tried
Status closedResolutionfixed 
Product Version 
Target Version2.8.0Fixed in Version2.8.0 
Summary0023493: DomainKeys Identified Mail (DKIM) Signatures
Description

Signing with DKIM is one of the important things to reduce chance that mails from Mantis end up as spam. With this feature we can actually sign the mails and Google, as well as most of the bigger mail providers, are going to check the DNS entries and confirm that the mail sent is really from the server that has rights to send it.

Additional Information

We can easily use PHPMailer support for DKIM and add few settings needed to support DKIM.

There is already a pull request for this feature:
https://github.com/mantisbt/mantisbt/pull/1211

TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

MantisBT: master d3104966

2017-10-18 16:53:39

yaddran


Committer: vboctor Details Diff
Support signing email via DKIM

Support DomainKeys Identified Mail (DKIM) to sign emails for improved
deliverability and trust.

Fixes 0023493
mod - config_defaults_inc.php Diff File
mod - core/email_api.php Diff File
mod - docbook/Admin_Guide/en-US/config/email.xml Diff File

Issue History

Date Modified Username Field Change
2017-10-18 04:59 yaddran New Issue
2017-10-18 14:44 atrol Assigned To => community
2017-10-18 14:44 atrol Status new => assigned
2017-10-22 13:13 vboctor Changeset attached => MantisBT master d3104966
2017-10-22 13:13 vboctor Assigned To community => vboctor
2017-10-22 13:13 vboctor Status assigned => resolved
2017-10-22 13:13 vboctor Resolution open => fixed
2017-10-22 13:13 vboctor Fixed in Version => 2.8.0
2017-10-22 13:14 vboctor Assigned To vboctor => community
2017-10-22 13:14 vboctor Target Version => 2.8.0
2017-10-28 19:08 vboctor Status resolved => closed